package com.malk.kuaikeli.schedule;

import com.malk.service.dingtalk.DDClient;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;

import java.time.LocalDateTime;

@Slf4j
@Configuration
@EnableScheduling
@ConditionalOnProperty(name = {"enable.scheduling"})
public class TestTask {

    @Autowired
    private DDClient ddClient;

    @Scheduled(cron = "0/5 * * * * ?")
    public void sync(){
//        String accessToken = ddClient.getAccessToken();
        System.out.println(LocalDateTime.now());
    }

}
